<?php
/*
Plugin Name: Smiley-uri Yahoo
Plugin URI: http://www.decetutorial.net/2008/01/smiley-uri-yahoo-blog-wordpress-plugin.html
Description: Afiseaza smiley-uri de Yahoo in locul celor clasice si urate ale wordpressului. Plugin orginal de <a href="http://priyadi.net/">Priyadi</a> - adaptat, updatat, partial rescris si reimpachetat.
Version: 5.0
Author: Dan Stefancu
Author URI: http://deceblog.net/
*/

/* configuration */

### Permiti afisarea smileyurilor aditionale (ascunse)? (true/false)
### NOTA: Se poate incarca foarte greu pagina, sunt multe smiley-uri
$smilies_allow_hidden = true;

/* end configuration */



$js_reloader = "ReloadTextDiv();";
$smilies_javascript = '1';

if (!function_exists('get_option')) {
	$smilies_blog_url = $_SERVER['SCRIPT_URI'];
	$smilies_blog_url = preg_replace("/ym_smilies\\.php$/", "", $smilies_blog_url);
} else {
	$smilies_blog_url = get_option('siteurl') . '/wp-content/plugins/ym_smilies';
}

$yahoosmiliestrans = array (
  ':(' => 'yahoo_sad.gif',
  ':-x' => 'yahoo_love.gif',
  'X(' => 'yahoo_angry.gif',
  ':-X' => 'yahoo_love.gif',
  ':">' => 'yahoo_blush.gif',
  'O=>' => 'yahoo_malefighter2.gif',
  '>:d<' => 'yahoo_huggs.gif', 
  '0:-)' => 'yahoo_angel.gif',
  '[-X' => 'yahoo_shame.gif',
  'O:-)' => 'yahoo_angel.gif',
  ':-D' => 'yahoo_bigsmile.gif',
  'O-+' => 'yahoo_femalefighter.gif',
  'B-)' => 'yahoo_sunglas.gif',
  '#-O' => 'yahoo_doh.gif',
  ':X' => 'yahoo_love.gif',
  ':-p' => 'yahoo_tongue.gif',
  ':-/' => 'yahoo_question.gif',
  '#:-s' => 'yahoo_sweating.gif',
  ':d' => 'yahoo_bigsmile.gif',
  '\\:d/' => 'yahoo_dance.gif',
  'I-)' => 'yahoo_sleep.gif',
  '~O)' => 'yahoo_coffee.gif',
  '(:|' => 'yahoo_tired.gif',
  '=p~' => 'yahoo_drool.gif',
  ':-))' => 'yahoo_laughloud.gif',
  'o->' => 'yahoo_malefighter1.gif',
  '*-:)' => 'yahoo_idea.gif',
  '(%)' => 'yahoo_yingyang.gif',
  '3:-0' => 'yahoo_cow.gif',
  ':-*' => 'yahoo_kiss.gif',
  'o=>' => 'yahoo_malefighter2.gif',
  '3:-o' => 'yahoo_cow.gif',
  ':x' => 'yahoo_love.gif',
  '=P~' => 'yahoo_drool.gif',
  ':-sS' => 'yahoo_nailbiting.gif',
  '=:)' => 'yahoo_alien.gif',
  ':|' => 'yahoo_neutral.gif',
  'o:-)' => 'yahoo_angel.gif',
  ':-(' => 'yahoo_sad.gif',
  '(:' => 'yahoo_smiley.gif',
  'x-(' => 'yahoo_angry.gif',
  ':-P' => 'yahoo_tongue.gif',
  ':-S' => 'yahoo_worried.gif',
  '>:/' => 'yahoo_waving.gif',
  '#:-S' => 'yahoo_sweating.gif',
  'b-(' => 'yahoo_beatup.gif',
  '$-)' => 'yahoo_moneyeyes.gif',
  ':-?' => 'yahoo_think.gif',
  ':-j' => 'yahoo_youkiddingme.gif',
  ':o' => 'yahoo_ooooh.gif',
  '^:)^' => 'yahoo_worship.gif',
  ';-)' => 'yahoo_wink.gif',
  ':^O' => 'yahoo_liar.gif',
  '=;' => 'yahoo_bye.gif',
  'o-+' => 'yahoo_femalefighter.gif',
  'O->' => 'yahoo_malefighter1.gif',
  ':-l' => 'yahoo_frustrated.gif',
  ':-&' => 'yahoo_sick.gif',
  ':0)' => 'yahoo_clown.gif',
  ':-s' => 'yahoo_worried.gif',
  ':-\\' => 'yahoo_question.gif',
  '8-X' => 'yahoo_ghost.gif',
  ':-B' => 'yahoo_glasses.gif',
  '/:-)' => 'yahoo_eyebrow.gif',
  '~o)' => 'yahoo_coffee.gif',
  '(~~)' => 'yahoo_pumpkin.gif',
  '[-(' => 'yahoo_silent.gif',
  '#-o' => 'yahoo_doh.gif',
  ':-Ss' => 'yahoo_nailbiting.gif',
  '[-x' => 'yahoo_shame.gif',
  ':)' => 'yahoo_smiley.gif',
  ':o)' => 'yahoo_clown.gif',
  ':(|)' => 'yahoo_monkey.gif',
  ':O' => 'yahoo_ooooh.gif',
  ';;)' => 'yahoo_batting.gif',
  ':-((' => 'yahoo_cry.gif',
  'B-(' => 'yahoo_beatup.gif',
  ':^o' => 'yahoo_liar.gif',
  '(-:' => 'yahoo_smiley.gif',
  'x(' => 'yahoo_angry.gif',
  ':-b' => 'yahoo_glasses.gif',
  ':-@' => 'yahoo_talktohand.gif',
  ':-o' => 'yahoo_ooooh.gif',
  '/:)' => 'yahoo_eyebrow.gif',
  ':))' => 'yahoo_laughloud.gif',
  ':-W' => 'yahoo_waiting.gif',
  ':->' => 'yahoo_mean.gif',
  '|-)' => 'yahoo_sleep.gif',
  ':D' => 'yahoo_bigsmile.gif',
  ':-ss' => 'yahoo_nailbiting.gif',
  '@-)' => 'yahoo_hypnotized.gif',
  '=d>' => 'yahoo_clap.gif',
  ':-w' => 'yahoo_waiting.gif',
  ':-$' => 'yahoo_shhhh.gif',
  '~:>' => 'yahoo_chicken.gif',
  ':-J' => 'yahoo_youkiddingme.gif',
  '(*)' => 'yahoo_star.gif',
  '>:P' => 'yahoo_madtongue.gif',
  '=:-)' => 'yahoo_alien.gif',
  ':((' => 'yahoo_cry.gif',
  '8-x' => 'yahoo_ghost.gif',
  '>:p' => 'yahoo_madtongue.gif',
  '=D>' => 'yahoo_clap.gif',
  '>-)' => 'yahoo_alien2.gif',
  ':-L' => 'yahoo_frustrated.gif',
  '=((' => 'yahoo_brokenheart.gif',
  ':-|' => 'yahoo_neutral.gif',
  ':P' => 'yahoo_tongue.gif',
  ':@)' => 'yahoo_pig.gif',
  'l-)' => 'yahoo_loser.gif',
  ':-)' => 'yahoo_smiley.gif',
  ':O)' => 'yahoo_clown.gif',
  ':)>-' => 'yahoo_peace.gif',
  'L-)' => 'yahoo_loser.gif',
  '3:-O' => 'yahoo_cow.gif',
  '%%-' => 'yahoo_shamrock.gif',
  ':p' => 'yahoo_tongue.gif',
  ':-"' => 'yahoo_whistling.gif',
  ':-d' => 'yahoo_bigsmile.gif',
  ':-<' => 'yahoo_sighing.gif',
  '\\:D/' => 'yahoo_dance.gif',
  '>:)' => 'yahoo_devil.gif',
  '[-O<' => 'yahoo_pray.gif',
  '8-|' => 'yahoo_eyeroll.gif',
  '**==' => 'yahoo_flag.gif',
  ':*' => 'yahoo_kiss.gif',
  '8-}' => 'yahoo_silly.gif',
  '=))' => 'yahoo_rotfl.gif',
  'X-(' => 'yahoo_angry.gif',
  'b-)' => 'yahoo_sunglas.gif',
  ':-O' => 'yahoo_ooooh.gif',
  ':>' => 'yahoo_mean.gif',
  ';)' => 'yahoo_wink.gif',
  '<):)' => 'yahoo_cowboy.gif',
  '>:D<' => 'yahoo_huggs.gif',
  ':-SS' => 'yahoo_nailbiting.gif',
  ';))' => 'yahoo_giggle.gif',
  '@};-' => 'yahoo_flower.gif',
  '[-o<' => 'yahoo_pray.gif',
  ':)]' => 'yahoo_onphone.gif',
  ':-c' => 'yahoo_callme.gif',
  '~X(' => 'yahoo_witsend.gif',
  ':-h' => 'yahoo_wave.gif',
  ':-t' => 'yahoo_timeout.gif',
  '8->' => 'yahoo_daydream.gif',
  ':-??' => 'yahoo_dontknow.gif',
  '%-(' => 'yahoo_notlistening.gif'
);

$yahooimagesize = array (
  'yahoo_giggle.gif' => 
  array (
    0 => 18,
    1 => 18,
  ),
  'yahoo_dance.gif' =>
  array (
    0 => 26,
    1 => 18,
  ),
  'yahoo_clown.gif' =>
  array (
    0 => 28,
    1 => 18,
  ),
  'yahoo_sunglas.gif' =>
  array (
    0 => 18,
    1 => 18,
  ),
  'yahoo_huggs.gif' =>
  array (
    0 => 42,
    1 => 18,
  ),
  'yahoo_neutral.gif' =>
  array (
    0 => 18,
    1 => 18,
  ),
  'yahoo_malefighter2.gif' =>
  array (
    0 => 18,
    1 => 18,
  ),
  'yahoo_cry.gif' =>
  array (
    0 => 22,
    1 => 18,
  ),
  'yahoo_monkey.gif' =>
  array (
    0 => 21,
    1 => 18,
  ),
  'yahoo_think.gif' =>
  array (
    0 => 18,
    1 => 18,
  ),
  'yahoo_angry.gif' =>
  array (
    0 => 34,
    1 => 18,
  ),
  'yahoo_pumpkin.gif' =>
  array (
    0 => 17,
    1 => 18,
  ),
  'yahoo_party.gif' =>
  array (
    0 => 38,
    1 => 18,
  ),
  'yahoo_beatup.gif' =>
  array (
    0 => 18,
    1 => 18,
  ),
  'yahoo_blush.gif' =>
  array (
    0 => 18,
    1 => 18,
  ),
  'yahoo_worried.gif' =>
  array (
    0 => 18,
    1 => 18,
  ),
  'yahoo_brokenheart.gif' =>
  array (
    0 => 18,
    1 => 18,
  ),
  'yahoo_liar.gif' =>
  array (
    0 => 18,
    1 => 18,
  ),
  'yahoo_youkiddingme.gif' =>
  array (
    0 => 26,
    1 => 18,
  ),
  'yahoo_sleep.gif' =>
  array (
    0 => 21,
    1 => 18,
  ),
  'yahoo_question.gif' =>
  array (
    0 => 18,
    1 => 18,
  ),
  'yahoo_yingyang.gif' =>
  array (
    0 => 18,
    1 => 18,
  ),
  'yahoo_loser.gif' =>
  array (
    0 => 24,
    1 => 18,
  ),
  'yahoo_mean.gif' =>
  array (
    0 => 18,
    1 => 18,
  ),
  'yahoo_tongue.gif' =>
  array (
    0 => 18,
    1 => 18,
  ),
  'yahoo_pig.gif' =>
  array (
    0 => 18,
    1 => 18,
  ),
  'yahoo_eyebrow.gif' =>
  array (
    0 => 18,
    1 => 18,
  ),
  'yahoo_madtongue.gif' =>
  array (
    0 => 18,
    1 => 18,
  ),
  'yahoo_sweating.gif' =>
  array (
    0 => 34,
    1 => 18,
  ),
  'yahoo_talktohand.gif' =>
  array (
    0 => 36,
    1 => 18,
  ),
  'yahoo_nailbiting.gif' =>
  array (
    0 => 36,
    1 => 18,
  ),
  'yahoo_sad.gif' =>
  array (
    0 => 18,
    1 => 18,
  ),
  'yahoo_moneyeyes.gif' =>
  array (
    0 => 18,
    1 => 18,
  ),
  'yahoo_glasses.gif' =>
  array (
    0 => 24,
    1 => 18,
  ),
  'yahoo_smiley.gif' =>
  array (
    0 => 18,
    1 => 18,
  ),
  'yahoo_femalefighter.gif' =>
  array (
    0 => 18,
    1 => 18,
  ),
  'yahoo_eyeroll.gif' =>
  array (
    0 => 18,
    1 => 18,
  ),
  'yahoo_pray.gif' =>
  array (
    0 => 18,
    1 => 18,
  ),
  'yahoo_tired.gif' =>
  array (
    0 => 18,
    1 => 18,
  ),
  'yahoo_malefighter1.gif' =>
  array (
    0 => 18,
    1 => 18,
  ),
  'yahoo_ooooh.gif' =>
  array (
    0 => 18,
    1 => 18,
  ),
  'yahoo_sick.gif' =>
  array (
    0 => 18,
    1 => 18,
  ),
  'yahoo_cow.gif' =>
  array (
    0 => 18,
    1 => 18,
  ),
  'yahoo_rotfl.gif' =>
  array (
    0 => 30,
    1 => 18,
  ),
  'yahoo_clap.gif' =>
  array (
    0 => 18,
    1 => 18,
  ),
  'yahoo_frustrated.gif' =>
  array (
    0 => 18,
    1 => 18,
  ),
  'yahoo_flag.gif' =>
  array (
    0 => 25,
    1 => 18,
  ),
  'yahoo_kiss.gif' =>
  array (
    0 => 18,
    1 => 18,
  ),
  'yahoo_angel.gif' =>
  array (
    0 => 30,
    1 => 18,
  ),
  'yahoo_silent.gif' =>
  array (
    0 => 18,
    1 => 18,
  ),
  'yahoo_doh.gif' =>
  array (
    0 => 24,
    1 => 18,
  ),
  'yahoo_sighing.gif' =>
  array (
    0 => 24,
    1 => 18,
  ),
  'yahoo_silly.gif' =>
  array (
    0 => 24,
    1 => 18,
  ),
  'yahoo_laughloud.gif' =>
  array (
    0 => 18,
    1 => 18,
  ),
  'yahoo_drool.gif' =>
  array (
    0 => 18,
    1 => 18,
  ),
  'yahoo_love.gif' =>
  array (
    0 => 18,
    1 => 18,
  ),
  'yahoo_cowboy.gif' =>
  array (
    0 => 18,
    1 => 18,
  ),
  'yahoo_chicken.gif' =>
  array (
    0 => 18,
    1 => 18,
  ),
  'yahoo_bigsmile.gif' =>
  array (
    0 => 18,
    1 => 18,
  ),
  'yahoo_hypnotized.gif' =>
  array (
    0 => 18,
    1 => 18,
  ),
  'yahoo_shhhh.gif' =>
  array (
    0 => 18,
    1 => 18,
  ),
  'yahoo_star.gif' =>
  array (
    0 => 18,
    1 => 18,
  ),
  'yahoo_waiting.gif' =>
  array (
    0 => 23,
    1 => 18,
  ),
  'yahoo_coffee.gif' =>
  array (
    0 => 18,
    1 => 18,
  ),
  'yahoo_worship.gif' =>
  array (
    0 => 32,
    1 => 18,
  ),
  'yahoo_shame.gif' =>
  array (
    0 => 22,
    1 => 18,
  ),
  'yahoo_alien2.gif' =>
  array (
    0 => 18,
    1 => 18,
  ),
  'yahoo_bye.gif' =>
  array (
    0 => 18,
    1 => 18,
  ),
  'yahoo_whistling.gif' =>
  array (
    0 => 22,
    1 => 18,
  ),
  'yahoo_wink.gif' =>
  array (
    0 => 18,
    1 => 18,
  ),
  'yahoo_shamrock.gif' =>
  array (
    0 => 18,
    1 => 18,
  ),
  'yahoo_waving.gif' =>
  array (
    0 => 23,
    1 => 17,
  ),
  'yahoo_flower.gif' =>
  array (
    0 => 18,
    1 => 18,
  ),
  'yahoo_peace.gif' =>
  array (
    0 => 22,
    1 => 18,
  ),
  'yahoo_devil.gif' =>
  array (
    0 => 18,
    1 => 18,
  ),
  'yahoo_idea.gif' =>
  array (
    0 => 30,
    1 => 18,
  ),
  'yahoo_alien.gif' =>
  array (
    0 => 18,
    1 => 18,
  ),
  'yahoo_batting.gif' =>
  array (
    0 => 18,
    1 => 18,
  ),
  'yahoo_ghost.gif' =>
  array (
    0 => 18,
    1 => 18,
  ),
  'yahoo_onphone.gif' =>
  array (
    0 => 31,
    1 => 18,
  ),
  'yahoo_callme.gif' =>
  array (
    0 => 28,
    1 => 18,
  ),
  'yahoo_witsend.gif' =>
  array (
    0 => 44,
    1 => 18,
  ),
  'yahoo_wave.gif' =>
  array (
    0 => 28,
    1 => 18,
  ),
  'yahoo_timeout.gif' =>
  array (
    0 => 30,
    1 => 18,
  ),
  'yahoo_daydream.gif' =>
  array (
    0 => 23,
    1 => 18,
  ),
  'yahoo_dontknow.gif' =>
  array (
    0 => 40,
    1 => 18,
  ),
  'yahoo_notlistening.gif' =>
  array (
    0 => 52,
    1 => 18,
  ),
);

$smilies_yahoo_always_shown = array(
	'yahoo_smiley.gif',
	'yahoo_sad.gif',
	'yahoo_bigsmile.gif',
	'yahoo_blush.gif',
	'yahoo_cry.gif',
	'yahoo_dance.gif',
	'yahoo_love.gif',
	'yahoo_eyeroll.gif',
	'yahoo_eyebrow.gif',
	'yahoo_ooooh.gif',
	'yahoo_think.gif',
	'yahoo_whistling.gif',
	'yahoo_waiting.gif',
	'yahoo_wink.gif',
	'yahoo_silent.gif',
	'yahoo_peace.gif'
);

/* begin real code */

	$smiliestrans = $yahoosmiliestrans;
	$imagesize = $yahooimagesize;
	$smiliesshown = $smilies_yahoo_always_shown;

/* outputs javascript when called directly */

/* the following are taken and modified from wordpress internal smiley converter */

if (!function_exists('smiliescmp')) {
	function smiliescmp ($a, $b) {
		if (strlen($a) == strlen($b)) {
			return strcmp($a, $b);
		}
		return (strlen($a) > strlen($b)) ? -1 : 1;
	}
}

function smileyencode ($smiley) {
	$arr = preg_split('//', $smiley, -1, PREG_SPLIT_NO_EMPTY);
	$out = '';
	foreach ($arr as $char) {
		$out .= "&#" . ord($char) . ";" ;
	}
	return $out;
}

uksort($smiliestrans, 'smiliescmp');

// generates smilies' search & replace arrays
foreach($smiliestrans as $smiley => $img) {
	$smiley_masked = smileyencode($smiley) . " ";
	$width = $imagesize[$img][0];
	$height = $imagesize[$img][1];

	$tosearch = $smiley;
	$pre = '';
	$post = '';
	$tosearch = '/' . $pre . preg_quote($tosearch, '/ ') . $post . '/s';

	$smiliessearch[] = $tosearch;
	$smiliesreplace[] = "<img src='$smilies_blog_url/images/$img' alt='$smiley_masked' class='wp-smiley' width='$width' height='$height' title='$smiley_masked' />";
	
	$escsearch[] = $smiley;
	$escreplace[] = $smiley_masked;
	
	$imagetosmilies[$img] = htmlspecialchars($smiley);
}

if ( !function_exists('add_filter') ) {
	header("Content-type: text/javascript");
	echo "var smiley_smiley2image_s = new Array();\n";
	echo "var smiley_smiley2image_r = new Array();\n";
	foreach($smiliessearch as $i) {
		$i = preg_replace("/^\\//", "", $i);
		$i = preg_replace("/\\/s$/", "", $i);
		$i = addslashes($i);
		echo "smiley_smiley2image_s.push('$i');\n";
	}
	foreach($smiliesreplace as $i) {
		$i = addslashes($i);
		echo "smiley_smiley2image_r.push('$i');\n";
	}
	?>
		function smiley_convert_text(text) {
			var i;
			var smiley;
			var replacement;
			var re = new RegExp("", "i");
			for (i=0; i < smiley_smiley2image_s.length; i++) {
				smiley = smiley_smiley2image_s[i];
				replacement = smiley_smiley2image_r[i];
				// smiley = smiley.replace(/([^a-zA-Z0-9])/gi, "\\$1"); // escape everything
				re.compile(smiley, "gi");
				text = text.replace(re, replacement);
			}
			return text;
		}
		
		function toggleMoreIcons(e) {
			var moreIconsDiv = document.getElementById('moreIcons');
			var isVisible = (moreIconsDiv.style.display == 'inline');
			if (isVisible) {
				moreIconsDiv.style.display = 'none';
				e.innerHTML = 'toate&nbsp;&raquo;';
			} else {
				moreIconsDiv.style.display = 'inline';
				e.innerHTML = '&laquo;&nbsp;primele';
			}
		}
		
		function appendTextToComment(text) {
			var commentArea = document.getElementById('comment');
			commentArea.value = commentArea.value + text + ' ';
			<?php echo $js_reloader ?>
		}
	<?php
	exit;
}



/* mask smilies before going to balanceTags */

function convert_custom_smilies_pre($text) {
	global $escsearch, $escreplace;
	$textarr = preg_split("/(<\\/?[a-z!].*>)/U", $text, -1, PREG_SPLIT_DELIM_CAPTURE); // capture the tags as well as in between
	$stop = count($textarr);// loop stuff
	for ($i = 0; $i < $stop; $i++) {
		$content = $textarr[$i];
		if ((strlen($content) > 0) && ('<' != $content{0})) { // If it's not a tag		
			$content = str_replace($escsearch, $escreplace, $content);
		}
		$output .= $content;
	}
	return $output;
}

/* unmask smilies after balanceTags */

function convert_custom_smilies_post($text) {
	global $escsearch, $escreplace;
	$textarr = preg_split("/(<\\/?[a-z!].*>)/U", $text, -1, PREG_SPLIT_DELIM_CAPTURE); // capture the tags as well as in between
	$stop = count($textarr);// loop stuff
	for ($i = 0; $i < $stop; $i++) {
		$content = $textarr[$i];
		if ((strlen($content) > 0) && ('<' != $content{0})) { // If it's not a tag		
			$content = str_replace($escreplace, $escsearch, $content);
		}
		$output .= $content;
	}
	return $output;
}

/* convert smilies to images */

function convert_custom_smilies($text) {
	global $smiliessearch, $smiliesreplace;
	$textarr = preg_split("/(<\\/?[a-z!].*>)/U", $text, -1, PREG_SPLIT_DELIM_CAPTURE); // capture the tags as well as in between
	$stop = count($textarr);// loop stuff
	for ($i = 0; $i < $stop; $i++) {
		$content = $textarr[$i];
		if ((strlen($content) > 0) && ('<' != $content{0})) { // If it's not a tag		
			$content = preg_replace($smiliessearch, $smiliesreplace, $content);
		}
		$output .= $content;
	}
	return $output;
}

/* add javascript */
function smilies_javascript() {
	global $smilies_blog_url;
	?>
	<script type="text/javascript" src="<?php echo $smilies_blog_url; ?>/ym_smilies.php"></script>
    <link rel="stylesheet" type="text/css" href="<?php echo $smilies_blog_url; ?>/ym_smilies.css" media="screen" />    
	<?php
}


function smilies_clickable() {
	global $smilies_blog_url, $smiliesshown, $smilies_allow_hidden, $imagesize, $imagetosmilies;
	$hidden_smileys = array_diff(array_keys($imagetosmilies), $smiliesshown);
    
	?>
	<?php
	foreach ($smiliesshown as $curr_smiley_img) {
		?>
		<img src="<?php echo $smilies_blog_url."/images/$curr_smiley_img"?>"
			alt="<?php echo $imagetosmilies[$curr_smiley_img];?>"
			title="<?php echo $imagetosmilies[$curr_smiley_img];?>"
			width="<?php echo $imagesize[$curr_smiley_img][0];?>"
			height="<?php echo $imagesize[$curr_smiley_img][1];?>"
			class="wp-smiley"
			onclick="appendTextToComment('<?php echo str_replace("\\", "\\\\", $imagetosmilies[$curr_smiley_img]);?>')"
		/>
		<?php
	}

	if ($smilies_allow_hidden) {
		?>
		<span id="moreIcons" style="display: none">
		<?php
		foreach ($hidden_smileys as $curr_smiley_img) {
			?>
			<img src="<?php echo $smilies_blog_url."/images/$curr_smiley_img";?>"
				alt="<?php echo $imagetosmilies[$curr_smiley_img];?>"
				title="<?php echo $imagetosmilies[$curr_smiley_img];?>"
				width="<?php echo $imagesize[$curr_smiley_img][0];?>"
				height="<?php echo $imagesize[$curr_smiley_img][1];?>"
				class="wp-smiley"
				onclick="appendTextToComment('<?php echo str_replace("\\", "\\\\", $imagetosmilies[$curr_smiley_img]);?>')"
			/>
			<?php
		}
		?>
		</span>

		<a href="#" onclick="toggleMoreIcons(this); return false;">toate&nbsp;&raquo;</a>

		<?php
	}

}

if (function_exists('add_filter')) {
	@add_filter('content_save_pre', 'convert_custom_smilies_pre', 30);
	@add_filter('excerpt_save_pre', 'convert_custom_smilies_pre', 30);
	@add_filter('comment_save_pre', 'convert_custom_smilies_pre', 30);
	@add_filter('pre_comment_content', 'convert_custom_smilies_pre', 5);

	@add_filter('content_save_pre', 'convert_custom_smilies_post', 70);
	@add_filter('excerpt_save_pre', 'convert_custom_smilies_post', 70);
	@add_filter('comment_save_pre', 'convert_custom_smilies_post', 70);
	@add_filter('pre_comment_content', 'convert_custom_smilies_post', 35);

	@add_filter('the_content', 'convert_custom_smilies', 3);
	@add_filter('the_excerpt', 'convert_custom_smilies', 3);
	@add_filter('comment_text', 'convert_custom_smilies', 3);

	if ($smilies_javascript) {
		@add_filter('wp_head', 'smilies_javascript');
	}
}?>
